Bug 1644501 - WARNING: CPU: 2 PID: 27559 at mm/page_alloc.c:4065 __alloc_pages_slowpath+0xbb4/0xd10
Summary: WARNING: CPU: 2 PID: 27559 at mm/page_alloc.c:4065 __alloc_pages_slowpath+0xb...
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 29
Hardware: x86_64 Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-31 03:18 UTC by Chunyu Hu
Modified: 2019-01-29 16:14 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chunyu Hu 2018-10-31 03:18:47 UTC
Description of problem:

HP ProLiant DL360 G5 machine. 
Intel(R) Xeon(R) CPU E5440 @ 2.83GHz 

[ 3756.236789] SELinux: unrecognized netlink message: protocol=9 nlmsg_type=13108 sclass=netlink_audit_socket pig=27537 comm=trinity-c6 
[ 3759.218885] WARNING: CPU: 2 PID: 27559 at mm/page_alloc.c:4065 __alloc_pages_slowpath+0xbb4/0xd10 
[ 3759.236375] Modules linked in: bridge 8021q garp mrp stp llc vmw_vsock_vmci_transport vsock vmw_vmci ieee802154_socket ieee802154 smc mpls_router ip_tunnel af_key kcm nfc fcrypt pcbc rxrpc hidp cmtp kernelcapi bnep rfcomm bluetooth ecdh_generic rfkill can_bcm can_raw can pptp gre pppoe pppox ppp_generic slhc crypto_user ib_core nfnetlink scsi_transport_iscsi atm sctp sunrpc ipmi_ssif coretemp iTCO_wdt gpio_ich iTCO_vendor_support kvm_intel bnx2 ipmi_si kvm ipmi_devintf lpc_ich irqbypass hpwdt hpilo i5000_edac ipmi_msghandler i5k_amb xfs libcrc32c radeon i2c_algo_bit drm_kms_helper ttm hpsa ata_generic pata_acpi drm serio_raw scsi_transport_sas 
[ 3759.236375] CPU: 2 PID: 27559 Comm: trinity-c4 Not tainted 4.19.0-1.fc30.x86_64 #1 
[ 3759.236375] Hardware name: HP ProLiant DL360 G5, BIOS P58 07/10/2009 
[ 3759.236375] RIP: 0010:__alloc_pages_slowpath+0xbb4/0xd10 
[ 3759.236375] Code: 24 38 00 00 00 00 c7 44 24 50 00 00 00 00 c7 44 24 3c 01 00 00 00 e9 6a fd ff ff 31 c0 41 81 e7 00 02 00 00 0f 85 2d fa ff ff <0f> 0b e9 26 fa ff ff 65 48 8b 04 25 00 5c 01 00 8b 7c 24 58 3b b8 
[ 3759.236375] RSP: 0018:ffffaa3bc5cd38d0 EFLAGS: 00010246 
[ 3759.453214] RAX: 0000000000000000 RBX: 000000000060c0c0 RCX: 0000000000000000 
[ 3759.453214] RDX: ffffaa3bc5cd39c8 RSI: 0000000000000016 RDI: 000000000060c0c0 
[ 3759.453214] RBP: 0000000000000016 R08: 0000000000000000 R09: ffffffffffc00f8a 
[ 3759.453214] R10: 0000000000000000 R11: 0000000000000001 R12: 000000000060c0c0 
[ 3759.453214] R13: 0000000000000000 R14: 0000000000000000 R15: 0000000000000000 
[ 3759.453214] FS:  00007fa39ef06740(0000) GS:ffff8a86fda80000(0000) knlGS:0000000000000000 
[ 3759.453214] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033 
[ 3759.453214] CR2: 0000000001f853f8 CR3: 0000000076c08000 CR4: 00000000000406e0 
[ 3759.453214] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000 
[ 3759.453214] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000600 
[ 3759.453214] Call Trace: 
[ 3759.453214]  ? ___perf_sw_event+0xd5/0x120 
[ 3759.453214]  ? get_page_from_freelist+0x684/0x16f0 
[ 3759.453214]  __alloc_pages_nodemask+0x28e/0x2b0 
[ 3759.453214]  kmalloc_order+0x14/0x40 
[ 3759.453214]  kmalloc_order_trace+0x1d/0xa0 
[ 3759.453214]  radeon_cs_parser_init.part.4+0x76/0x4b0 [radeon] 
[ 3759.453214]  ? perf_event_mmap_output+0xba/0x270 
[ 3759.453214]  radeon_cs_ioctl+0xaf/0x7b0 [radeon] 
[ 3759.453214]  ? radeon_cs_parser_init+0x20/0x20 [radeon] 
[ 3759.453214]  drm_ioctl_kernel+0xa1/0xf0 [drm] 
[ 3759.453214]  drm_ioctl+0x1fc/0x390 [drm] 
[ 3759.453214]  ? radeon_cs_parser_init+0x20/0x20 [radeon] 
[ 3759.453214]  ? xfs_iunlock+0xf3/0x100 [xfs] 
[ 3759.453214]  ? xfs_file_buffered_aio_write+0xfe/0x320 [xfs] 
[ 3759.453214]  radeon_drm_ioctl+0x49/0x80 [radeon] 
[ 3759.453214]  do_vfs_ioctl+0xa4/0x620 
[ 3759.453214]  ksys_ioctl+0x60/0x90 
[ 3759.453214]  __x64_sys_ioctl+0x16/0x20 
[ 3759.453214]  do_syscall_64+0x5b/0x160 
[ 3759.453214]  entry_SYSCALL_64_after_hwframe+0x44/0xa9 
[ 3759.453214] RIP: 0033:0x7fa39f021d6d 
[ 3759.453214] Code: 00 c3 66 2e 0f 1f 84 00 00 00 00 00 90 f3 0f 1e fa 48 89 f8 48 89 f7 48 89 d6 48 89 ca 4d 89 c2 4d 89 c8 4c 8b 4c 24 08 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d eb 80 0c 00 f7 d8 64 89 01 48 
[ 3759.453214] RSP: 002b:00007ffdde07bb88 EFLAGS: 00000246 ORIG_RAX: 0000000000000010 
[ 3759.453214] RAX: ffffffffffffffda RBX: 0000000000000010 RCX: 00007fa39f021d6d 
[ 3759.453214] RDX: 0000000000600000 RSI: 00000000c0206466 RDI: 0000000000000014 
[ 3759.453214] RBP: 00007fa39dd78000 R08: 00007fa39d863000 R09: 00007fa39da63000 
[ 3759.453214] R10: 00007fa39f0ff000 R11: 0000000000000246 R12: 0000000000000002 
[ 3759.453214] R13: 00007fa39dd78058 R14: 00007fa39ef066c0 R15: 00007fa39dd78000 
[ 3759.453214] ---[ end trace 0038799fdad78e2a ]--- 
[ 3760.161471] [drm:radeon_cs_ioctl [radeon]] *ERROR* Failed to initialize parser ! 
[ 3761.222880] futex_wake_op: trinity-c7 tries to shift op by -1; fix this program 
[ 3770.535703] futex_wake_op: trinity-c5 tries to shift op by -1; fix this program 
[ 3775.706305] SELinux: unrecognized netlink message: protocol=6 nlmsg_type=13881 sclass=netlink_xfrm_s

Version-Release number of selected component (if applicable):
 4.19.0-1.fc30.x86_64

How reproducible:
once

Steps to Reproduce:
1. run trinity
2.
3.

Actual results:
warning was shown for too big order memory allocation. 

Expected results:
split the alloc.

Additional info:

Comment 1 Jeremy Cline 2018-12-03 17:36:46 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.
 
Fedora 29 has now been rebased to 4.19.5-300.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.

Comment 2 Chunyu Hu 2018-12-07 07:49:59 UTC
This can still be seen:
4.20.0-0.rc5.git2.1.fc30.x86_64 

[ 2211.943828] WARNING: CPU: 3 PID: 29954 at mm/page_alloc.c:4361 __alloc_pages_nodemask+0x36e/0x410
[ 2211.945979] Modules linked in: bridge 8021q garp mrp stp af_key vmw_vsock_vmci_transport vsock vmw_vmci smc rose ieee802154_socket ieee802154 mpls_router ip_tunnel kcm nfc fcrypt pcbc rxrpc hidp cmtp kernelcapi bnep rfcomm bluetooth ecdh_generic rfkill can_bcm can_raw can pptp gre l2tp_ppp l2tp_netlink l2tp_core ip6_udp_tunnel udp_tunnel pppoe pppox ppp_generic slhc rds crypto_user ib_core nfnetlink scsi_transport_iscsi atm netrom appletalk psnap llc ax25 sctp libcrc32c rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace fscache sunrpc coretemp kvm_intel kvm gpio_ich iTCO_wdt irqbypass iTCO_vendor_support ipmi_ssif hpwdt hpilo lpc_ich ipmi_si ipmi_devintf ipmi_msghandler i5000_edac i5k_amb radeon i2c_algo_bit drm_kms_helper ttm drm ata_generic serio_raw pata_acpi e1000e hpsa bnx2 scsi_transport_sas
[ 2211.961154] CPU: 3 PID: 29954 Comm: trinity-c0 Not tainted 4.20.0-0.rc5.git2.1.fc30.x86_64 #1
[ 2211.963029] Hardware name: HP ProLiant DL360 G5, BIOS P58 05/02/2011
[ 2211.964422] RIP: 0010:__alloc_pages_nodemask+0x36e/0x410
[ 2211.965579] Code: 48 db 72 e9 2f ff ff ff 41 80 ce 80 e9 d0 fe ff ff 48 89 c7 e8 13 36 02 00 e9 ee fe ff ff 81 e7 00 02 00 00 0f 85 f4 fd ff ff <0f> 0b e9 ed fd ff ff 0f 0b 0f 0b e9 48 fd ff ff 65 48 8b 04 25 40
[ 2211.969502] RSP: 0018:ffffb7ea08e2b958 EFLAGS: 00010246
[ 2211.970650] RAX: 0000000000000000 RBX: ffffb7ea08e2ba80 RCX: 0000000000000000
[ 2211.972189] RDX: 0000000000000000 RSI: 0000000000000016 RDI: 0000000000000000
[ 2211.973731] RBP: 0000000222222220 R08: 0000000000000000 R09: 0000000000000001
[ 2211.975268] R10: 0000000000000001 R11: ffffffff8fbef8b8 R12: 000000000060c0c0
[ 2211.976828] R13: 00000000006080c0 R14: ffff9a8c291e5000 R15: 0000000000000016
[ 2211.978402] FS:  00007fb88358d740(0000) GS:ffff9a8c3c000000(0000) knlGS:0000000000000000
[ 2211.980144] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 2211.981407] CR2: 0000000000000000 CR3: 000000005dd3a000 CR4: 00000000000006e0
[ 2211.982969] DR0: 00007fb883593000 DR1: 0000000000000000 DR2: 0000000000000000
[ 2211.984520] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000600
[ 2211.986081] Call Trace:
[ 2211.986659]  kmalloc_order+0x1f/0x60
[ 2211.987433]  kmalloc_order_trace+0x1d/0x120
[ 2211.988465]  radeon_cs_parser_init.part.4+0x76/0x4b0 [radeon]
[ 2211.989851]  radeon_cs_ioctl+0xaf/0x840 [radeon]
[ 2211.990948]  ? radeon_cs_parser_init+0x20/0x20 [radeon]
[ 2211.992155]  drm_ioctl_kernel+0xa9/0xf0 [drm]
[ 2211.993106]  drm_ioctl+0x1fa/0x380 [drm]
[ 2211.993985]  ? radeon_cs_parser_init+0x20/0x20 [radeon]
[ 2211.995120]  ? lockdep_hardirqs_on+0xed/0x180
[ 2211.996097]  radeon_drm_ioctl+0x49/0x80 [radeon]
[ 2211.997125]  do_vfs_ioctl+0xa5/0x6f0
[ 2211.997928]  ksys_ioctl+0x60/0x90
[ 2211.998682]  __x64_sys_ioctl+0x16/0x20
[ 2211.999554]  do_syscall_64+0x60/0x1f0
[ 2212.000417]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
[ 2212.001585] RIP: 0033:0x7fb882ea88d9
[ 2212.002376] Code: 00 c3 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 48 89 f8 48 89 f7 48 89 d6 48 89 ca 4d 89 c2 4d 89 c8 4c 8b 4c 24 08 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 97 45 2c 00 f7 d8 64 89 01 48
[ 2212.006593] RSP: 002b:00007ffd63a94108 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
[ 2212.008273] RAX: ffffffffffffffda RBX: 0000000000000010 RCX: 00007fb882ea88d9
[ 2212.009936] RDX: 00007fb883593000 RSI: 00000000c00c6466 RDI: 0000000000000014
[ 2212.011568] RBP: 00007fb883596000 R08: 00007fb8805e6000 R09: 00007fb88162a000
[ 2212.013211] R10: 00007fb883593000 R11: 0000000000000246 R12: 0000000000000002
[ 2212.014825] R13: 00007fb883596058 R14: 00007fb88358d6c0 R15: 00007fb883596000
[ 2212.016540] irq event stamp: 871812
[ 2212.017346] hardirqs last  enabled at (871811): [<ffffffff8da796eb>] _raw_spin_unlock_irqrestore+0x4b/0x60
[ 2212.019556] hardirqs last disabled at (871812): [<ffffffff8d0037e8>] trace_hardirqs_off_thunk+0x1a/0x1c
[ 2212.021701] softirqs last  enabled at (870822): [<ffffffff8de00365>] __do_softirq+0x365/0x47c
[ 2212.023647] softirqs last disabled at (870815): [<ffffffff8d0c74f9>] irq_exit+0x119/0x120

Comment 4 Justin M. Forbes 2019-01-29 16:14:31 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 4.20.5-200.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.


Note You need to log in before you can comment on or make changes to this bug.